Writter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.d2rqmappingfile
Class Writter

    java.lang.Object
      com.wscreation.d2rqmappingfile.Writter

    public class Writter

extends java.lang.Object

class used to write the mapping file

Author:
  WOLLBRETT

Field Summary
`(package private) com.hp.hpl.jena.rdf.model.Model` | `model`
`(package private) java.util.Map<java.lang.String,java.lang.String>` | `prefix`
`(package private) java.util.List<com.hp.hpl.jena.rdf.model.Resource>` | `tables`

Constructor Summary
`Writter(com.hp.hpl.jena.rdf.model.Model model, java.io.File outputFile)`

Method Summary
`private boolean` | `isATable(com.hp.hpl.jena.rdf.model.Resource resource)`
`private java.util.List<com.hp.hpl.jena.rdf.model.Resource>` | `listDatabases()`
`private java.util.List<com.hp.hpl.jena.rdf.model.Resource>` | `listTableAttributs(com.hp.hpl.jena.rdf.model.Resource table)`
`private java.util.List<com.hp.hpl.jena.rdf.model.Statement>` | `listTableProperties(com.hp.hpl.jena.rdf.model.Resource table)`
`private java.util.List<com.hp.hpl.jena.rdf.model.Resource>` | `listTables()`
`private boolean` | `tableHasPK(com.hp.hpl.jena.rdf.model.Statement stmt)`
`private java.lang.String` | `write()`
`private java.lang.String` | `writeDatabases()`
`private java.lang.String` | `writePrefix()`
`private java.lang.String` | `writeResource(com.hp.hpl.jena.rdf.model.Resource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    com.hp.hpl.jena.rdf.model.Model model

### prefix

    java.util.Map<java.lang.String,java.lang.String> prefix

### tables

    java.util.List<com.hp.hpl.jena.rdf.model.Resource> tables

Constructor Detail

### Writter

    public Writter(com.hp.hpl.jena.rdf.model.Model model,
                   java.io.File outputFile)

Method Detail

### write

    private java.lang.String write()

### writePrefix

    private java.lang.String writePrefix()

### writeDatabases

    private java.lang.String writeDatabases()

### writeResource

    private java.lang.String writeResource(com.hp.hpl.jena.rdf.model.Resource resource)

### listDatabases

    private java.util.List<com.hp.hpl.jena.rdf.model.Resource> listDatabases()

### listTables

    private java.util.List<com.hp.hpl.jena.rdf.model.Resource> listTables()

### listTableAttributs

    private java.util.List<com.hp.hpl.jena.rdf.model.Resource> listTableAttributs(com.hp.hpl.jena.rdf.model.Resource table)

### listTableProperties

    private java.util.List<com.hp.hpl.jena.rdf.model.Statement> listTableProperties(com.hp.hpl.jena.rdf.model.Resource table)

### isATable

    private boolean isATable(com.hp.hpl.jena.rdf.model.Resource resource)

### tableHasPK

    private boolean tableHasPK(com.hp.hpl.jena.rdf.model.Statement stmt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD